OUTPUT_ARCH(arm)
ENTRY(_start)
SECTIONS{
	. = 0x83900000;
	.text	:
	{
		mmcbootCrt.o	(.text)
		mmcboot.o 	(.text)
		tags.o		(.text)
		led.o		(.text)
	}
	.rodata : {
		mmcbootCrt.o	(.rodata)
		mmcboot.o 	(.rodata)
		tags.o		(.rodata)
		led.o		(.rodata)	
	}
	.data : {
		mmcbootCrt.o	(.data)
		mmcboot.o 	(.data)
		tags.o		(.data)
		led.o		(.data)
	}
	.got : {
		mmcbootCrt.o	(.got)
		mmcboot.o 	(.got)
		tags.o		(.got)
		led.o		(.got)
	}
	__bss_start = .;
	.bss : {
		mmcbootCrt.o	(.bss)
		mmcboot.o 	(.bss)
		tags.o		(.bss)
		led.o		(.bss)
	}
	_end = .;
}
	
	
	